io.undertow.util

## Class MultipartParser

- java.lang.Object
- - io.undertow.util.MultipartParser

    public class MultipartParser
    extends Object

Author:
  Stuart Douglas

### Nested Class Summary

Nested Classes
`static class` `MultipartParser.ParseState`
`static interface` `MultipartParser.PartHandler`

### Field Summary

Fields
`static byte` `CR` The Carriage Return ASCII character value.
`static byte` `DASH` The dash (-) ASCII character value.
`static byte` `HTAB` The Horizontal Tab ASCII character value;
`static byte` `LF` The Line Feed ASCII character value.
`static byte` `SP` The Space ASCII character value;

### Constructor Summary

Constructors
Constructor and Description
`MultipartParser()`

### Method Summary

All Methods Static Methods Concrete Methods
`static MultipartParser.ParseState` `beginParse(ByteBufferPool bufferPool, MultipartParser.PartHandler handler, byte[] boundary, String requestCharset)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### HTAB

    public static final byte HTAB

The Horizontal Tab ASCII character value;

See Also:
  Constant Field Values

#### CR

    public static final byte CR

The Carriage Return ASCII character value.

See Also:
  Constant Field Values

#### LF

    public static final byte LF

The Line Feed ASCII character value.

See Also:
  Constant Field Values

#### SP

    public static final byte SP

The Space ASCII character value;

See Also:
  Constant Field Values

#### DASH

    public static final byte DASH

The dash (-) ASCII character value.

See Also:
  Constant Field Values

### Constructor Detail

#### MultipartParser

    public MultipartParser()

### Method Detail

#### beginParse

    public static MultipartParser.ParseState beginParse(ByteBufferPool bufferPool,
                                                        MultipartParser.PartHandler handler,
                                                        byte[] boundary,
                                                        String requestCharset)